.payment-modal {
  * {
    box-sizing: border-box;
  }

  body {
    font-family: -apple-system, BlinkMacSystemFont, sans-serif;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
  }

  .modal-content {
    border-radius: 0;
    padding: 24px;

    .modal-header {
        padding: 0 0 32px 0;
        align-items: flex-start;
        border-bottom-color: #A0ABB9;

        .modal-title {
            font-family: 'Horsemen', sans-serif;
            font-size: 1rem !important;
            color: #647488;
            font-weight: 400;
        }

        .btn-close {
          margin-top: 0;
          margin-right: 0;
          background: none !important;
          border: none;
          width: 24px;
          height: 24px;
          opacity: 1;
          padding: 0;

          &:hover svg path {
            fill: #191D22;
          }
        }
    }

    .modal-body {
        padding: 32px 0;
        font-family: Kufam, sans-serif;
    }
  }

  form {
    align-self: center;
    margin-top: auto;
    margin-bottom: auto;
    overflow: scroll;

    h4 {
      color: #191D22;
      margin-top: 32px;
      font-family: Kufam, sans-serif;
      font-size: 1.25rem;
      font-weight: 700;
      line-height: 120%;
      letter-spacing: -0.4px;
    }

    > label:first-child {
      font-weight: 600;
      letter-spacing: -0.32px;
      color: #647488;
      line-height: 125%;
    }
  }

  .hidden {
    display: none;
  }

  #payment-message {
    color: rgb(105, 115, 134);
    font-size: 16px;
    line-height: 20px;
    padding-top: 12px;
    text-align: center;
  }

  #payment-element {
    margin-bottom: 32px;
    margin-top: 16px;
  }

  #email {
    border: 1px solid #A0ABB9;
    display: block;
    margin-top: 0.25rem;
    padding: 0.75rem;

    &:focus {
      border-color: #F0F;
      box-shadow: none;
      outline: none;
    }

    &::placeholder {
      color: #A0ABB9;
    }
  }

  #email-errors {
    margin-top: 4px;
  }

  #item-title {
    color: #000;
  }

  /* Buttons and links */
  button:not(.btn-close) {
    background: #F0F;
    font-family: Arial, sans-serif;
    color: #ffffff;
    border-radius: 0;
    border: 0;
    padding: 12px 16px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    display: block;
    transition: all 0.2s ease;
    box-shadow: 0px 4px 5.5px 0px rgba(0, 0, 0, 0.07);
    width: 100%;
  }
  button:hover {
    filter: contrast(115%);
  }
  button:disabled {
    opacity: 0.5;
    cursor: default;
  }
  button[type="submit"] {
    margin-top: 20px;
    font-size: 1.125rem;
    font-weight: 700;
  }
  .form-check-input {
    border-radius: 0;
    border-color: #A0ABB9;
    margin-right: 12px;
    margin-top: 0;
    width: 20px;
    height: 20px;
    box-shadow: none;

    &:checked {
      background-color: #F0F;
      border-color: #F0F;
    }
  }
  .form-check-label a {
    color: #647488;
    font-size: 1rem;
    line-height: 150%;
  }

  /* spinner/processing state, errors */
  .spinner,
  .spinner:before,
  .spinner:after {
    border-radius: 50%;
  }
  .spinner {
    color: #ffffff;
    font-size: 22px;
    text-indent: -99999px;
    margin: 0px auto;
    position: relative;
    width: 20px;
    height: 20px;
    box-shadow: inset 0 0 0 2px;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
  }
  .spinner:before,
  .spinner:after {
    position: absolute;
    content: "";
  }
  .spinner:before {
    width: 10.4px;
    height: 20.4px;
    background: #F0F;
    border-radius: 20.4px 0 0 20.4px;
    top: -0.2px;
    left: -0.2px;
    -webkit-transform-origin: 10.4px 10.2px;
    transform-origin: 10.4px 10.2px;
    -webkit-animation: loading 2s infinite ease 1.5s;
    animation: loading 2s infinite ease 1.5s;
  }
  .spinner:after {
    width: 10.4px;
    height: 10.2px;
    background: #F0F;
    border-radius: 0 10.2px 10.2px 0;
    top: -0.1px;
    left: 10.2px;
    -webkit-transform-origin: 0px 10.2px;
    transform-origin: 0px 10.2px;
    -webkit-animation: loading 2s infinite ease;
    animation: loading 2s infinite ease;
  }

  @-webkit-keyframes loading {
    0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @keyframes loading {
    0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }

  @media only screen and (max-width: 600px) {
    form {
      width: 80vw;
      min-width: initial;
    }
  }
}